# FFmpegKit Android API: CompactContext Struct Reference

CompactContext Struct Reference

## Data Fields

const AVClass * | class
char * | item_sep_str
char | item_sep
int | nokey
int | print_section
char * | escape_mode_str
const char *(* | escape_str )(AVBPrint *dst, const char *src, const char sep, void *log_ctx)
int | nested_section [SECTION_MAX_NB_LEVELS]
int | has_nested_elems [SECTION_MAX_NB_LEVELS]
int | terminate_line [SECTION_MAX_NB_LEVELS]

## Detailed Description

Definition at line 1086 of file fftools_ffprobe.c.

## Field Documentation

## class

const AVClass* CompactContext::class

Definition at line 1087 of file fftools_ffprobe.c.

## escape_mode_str

char* CompactContext::escape_mode_str

Definition at line 1092 of file fftools_ffprobe.c.

## escape_str

const char *(* CompactContext::escape_str) (AVBPrint *dst, const char *src, const char sep, void *log_ctx)

Definition at line 1093 of file fftools_ffprobe.c.

## has_nested_elems

int CompactContext::has_nested_elems[SECTION_MAX_NB_LEVELS]

Definition at line 1095 of file fftools_ffprobe.c.

## item_sep

char CompactContext::item_sep

Definition at line 1089 of file fftools_ffprobe.c.

## item_sep_str

char* CompactContext::item_sep_str

Definition at line 1088 of file fftools_ffprobe.c.

## nested_section

int CompactContext::nested_section[SECTION_MAX_NB_LEVELS]

Definition at line 1094 of file fftools_ffprobe.c.

## nokey

int CompactContext::nokey

Definition at line 1090 of file fftools_ffprobe.c.

## print_section

int CompactContext::print_section

Definition at line 1091 of file fftools_ffprobe.c.

## terminate_line

int CompactContext::terminate_line[SECTION_MAX_NB_LEVELS]

Definition at line 1096 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c